Skip to main content

Workflow Versions Actions

https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions

Below are the various requests that can be performed against the Workflow Versions resource, as well as the expected parameters and the potential responses.

Delete​

Delete flow versions

Method And Url​

POST https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions/delete

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, flowVersions.*, or flowVersions.delete.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Flow Versions Delete Post schema. For example, the following would be a valid body for this request:

{
"query": {
"version": {
"$ne": "versionToKeep"
}
},
"email": "email@example.com"
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"query":{"version":{"$ne":"versionToKeep"}},"email":"email@example.com"}' \
https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions/delete

Successful Responses​

CodeTypeDescription
200Bulk Deletion ResponseObject indicating number of flow versions deleted or failed
202Job Enqueued API ResultIf a job was enqueued for the flow versions to be deleted

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Get​

Returns the flow versions for a flow

Method And Url​

GET https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.read, all.Organization, all.Organization.read, all.User, all.User.read, flowVersions.*, or flowVersions.get.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6

Request Query Parameters​

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: version, id, creationDate, lastUpdatedversionsortField=version
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: versionfilterField=version
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my*version
includeCustomNodesNIf the result of the request should also include the details of any custom nodes referenced by the returned workflowsfalseincludeCustomNodes=true
queryNWorkflow filter JSON object which overrides the filterField and filter parameters. See Advanced Workflow Version Query for more details.query={"version":"theVersion"}

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions

Successful Responses​

CodeTypeDescription
200Workflow VersionsCollection of flow versions

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow was not found

Post​

Create or replace a flow version for a flow

Method And Url​

POST https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions

Authentication​

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Organization, all.User, flowVersions.*, or flowVersions.post.

Request Path Components​

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97
FLOW_IDID associated with the flow575ed18f7ae143cd83dc4aa6

Request Query Parameters​

NameRequiredDescriptionDefaultExample
includeCustomNodesNIf the result of the request should also include the details of any custom nodes referenced by the returned workflowsfalseincludeCustomNodes=true
allowReplacementNAllow replacement of an existing flow version with same version namefalseallowReplacement=true

Request Headers​

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body​

The body of the request should be serialized JSON that validates against the Workflow Version Post schema. For example, the following would be a valid body for this request:

{
"version": "v1.2.3",
"notes": "Notes about my new workflow version",
"enabled": false
}

Curl Example​

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"version":"v1.2.3","notes":"Notes about my new workflow version","enabled":false}' \
https://api.app.wnology.io/applications/APPLICATION_ID/flows/FLOW_ID/versions

Successful Responses​

CodeTypeDescription
201Workflow VersionSuccessfully created flow version

Error Responses​

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if flow was not found

Schemas​

Advanced Workflow Version Query​

Schema for advanced workflow queries

Advanced Workflow Version Query Schema​

  • ▶
    {} 4 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • ▶
      {} 13 keys
      • ▶
        {} 3 keys
        • ▶
          {} 3 keys
          • ▶
            {} 3 keys
            • ▶
              {} 1 key
              • ▶
                {} 1 key
                • ▶
                  {} 1 key
                  • ▶
                    {} 1 key
                    • ▶
                      {} 1 key
                      • ▶
                        {} 1 key
                        • ▶
                          {} 1 key
                          • ▶
                            {} 1 key
                            • ▶
                              {} 1 key
                              • ▶
                                {} 1 key
                              • false

                            Advanced Workflow Version Query Example​

                            • ▶
                              {} 1 key
                              • "theVersion"

                            Bulk Deletion Response​

                            Schema for the response to a bulk deletion

                            Bulk Deletion Response Schema​

                            • ▶
                              {} 3 keys
                              • "http://json-schema.org/draft-07/schema#"
                              • "object"
                              • ▶
                                {} 2 keys
                                • ▶
                                  {} 1 key
                                  • ▶
                                    {} 1 key

                                Bulk Deletion Response Example​

                                • ▶
                                  {} 1 key
                                  • 3

                                Error​

                                Schema for errors returned by the API

                                Error Schema​

                                • ▶
                                  {} 3 keys
                                  • "http://json-schema.org/draft-07/schema#"
                                  • "object"
                                  • ▶
                                    {} 2 keys
                                    • ▶
                                      {} 1 key
                                      • ▶
                                        {} 1 key

                                    Error Example​

                                    • ▶
                                      {} 2 keys
                                      • "NotFound"
                                      • "Application was not found"

                                    Workflow Version​

                                    Schema for a single Workflow Version

                                    Workflow Version Schema​

                                    • ▶
                                      {} 2 keys
                                      • "http://json-schema.org/draft-07/schema#"
                                      • ▶
                                        [] 2 items

                                      Workflow Version Example​

                                      • ▶
                                        {} 13 keys
                                        • "675ed18f7ae143cd83dc4bb7"
                                        • "675ed18f7ae143cd83dc4bb7"
                                        • "575ed18f7ae143cd83dc4aa6"
                                        • "575ec8687ae143cd83dc4a97"
                                        • "2016-06-13T04:00:00.000Z"
                                        • "2016-06-13T04:00:00.000Z"
                                        • "Description of my workflow version"
                                        • "experience"
                                        • ▶
                                          [] 1 item
                                          • true
                                          • [] 0 items
                                            • [] 0 items
                                              • [] 0 items

                                              Workflow Version Post​

                                              Schema for the body of a Workflow Version creation request

                                              Workflow Version Post Schema​

                                              • ▶
                                                {} 5 keys
                                                • "http://json-schema.org/draft-07/schema#"
                                                • "object"
                                                • ▶
                                                  {} 8 keys
                                                  • ▶
                                                    {} 3 keys
                                                    • ▶
                                                      {} 2 keys
                                                      • ▶
                                                        {} 1 key
                                                        • ▶
                                                          {} 2 keys
                                                          • ▶
                                                            {} 2 keys
                                                            • ▶
                                                              {} 3 keys
                                                              • ▶
                                                                {} 2 keys
                                                                • ▶
                                                                  {} 4 keys
                                                                • false
                                                                • ▶
                                                                  [] 1 item

                                                                Workflow Version Post Example​

                                                                • ▶
                                                                  {} 3 keys
                                                                  • "v1.2.3"
                                                                  • "Notes about my new workflow version"
                                                                  • false

                                                                Workflow Versions​

                                                                Schema for a collection of Workflow Versions

                                                                Workflow Versions Schema​

                                                                • ▶
                                                                  {} 3 keys
                                                                  • "http://json-schema.org/draft-07/schema#"
                                                                  • "object"
                                                                  • ▶
                                                                    {} 11 keys
                                                                    • ▶
                                                                      {} 2 keys
                                                                      • ▶
                                                                        {} 1 key
                                                                        • ▶
                                                                          {} 1 key
                                                                          • ▶
                                                                            {} 1 key
                                                                            • ▶
                                                                              {} 1 key
                                                                              • ▶
                                                                                {} 1 key
                                                                                • ▶
                                                                                  {} 1 key
                                                                                  • ▶
                                                                                    {} 1 key
                                                                                    • ▶
                                                                                      {} 2 keys
                                                                                      • ▶
                                                                                        {} 2 keys
                                                                                        • ▶
                                                                                          {} 2 keys

                                                                                      Workflow Versions Example​

                                                                                      • ▶
                                                                                        {} 9 keys
                                                                                        • ▶
                                                                                          [] 1 item
                                                                                          • 1
                                                                                          • 4
                                                                                          • 1
                                                                                          • 0
                                                                                          • "version"
                                                                                          • "asc"
                                                                                          • "575ec8687ae143cd83dc4a97"
                                                                                          • "575ed18f7ae143cd83dc4aa6"

                                                                                        Flow Versions Delete Post​

                                                                                        Schema for the body of a bulk flow versions delete request

                                                                                        Flow Versions Delete Post Schema​

                                                                                        • ▶
                                                                                          {} 5 keys
                                                                                          • "http://json-schema.org/draft-07/schema#"
                                                                                          • "object"
                                                                                          • ▶
                                                                                            {} 3 keys
                                                                                            • ▶
                                                                                              {} 3 keys
                                                                                              • ▶
                                                                                                {} 5 keys
                                                                                                • ▶
                                                                                                  {} 3 keys
                                                                                                • false
                                                                                                • ▶
                                                                                                  [] 1 item

                                                                                                Flow Versions Delete Post Example​

                                                                                                • ▶
                                                                                                  {} 2 keys
                                                                                                  • ▶
                                                                                                    {} 1 key
                                                                                                    • "email@example.com"

                                                                                                  Job Enqueued API Result​

                                                                                                  Schema for the result of a job being queued

                                                                                                  Job Enqueued API Result Schema​

                                                                                                  • ▶
                                                                                                    {} 3 keys
                                                                                                    • "http://json-schema.org/draft-07/schema#"
                                                                                                    • "object"
                                                                                                    • ▶
                                                                                                      {} 3 keys
                                                                                                      • ▶
                                                                                                        {} 2 keys
                                                                                                        • ▶
                                                                                                          {} 2 keys
                                                                                                          • ▶
                                                                                                            {} 2 keys

                                                                                                        Job Enqueued API Result Example​

                                                                                                        • ▶
                                                                                                          {} 3 keys
                                                                                                          • true
                                                                                                          • "clnHvJbyVkOWAZwYAwLP4"
                                                                                                          • true

                                                                                                        Was this page helpful?


                                                                                                        Still looking for help? You can also search the WEGnology Forums or submit your question there.